
// api.js
import axiosInstance from './axios'; // 导入在axios.js中配置好的axios实例
export default {

}
// 统一的get请求方法
export function get(url, params = {}) {
    return axiosInstance.get(url, { params });
}

// 统一的post请求方法
export function post(url, data = {}) {
    return axiosInstance.post(url, data);
}

// 统一的put请求方法（通常用于更新资源）
export function put(url, data = {}) {
    return axiosInstance.put(url, data);
}

// 统一的delete请求方法
export function deleteRequest(url, params = {}) {
    // 注意：axios的delete方法第二个参数是config对象，如果要传递参数，通常使用params
    return axiosInstance.delete(url, { params });
}
